Subject: Average Handling Time - 20-11-2019
From: Parvez Alam <[email-masked]>
To: Brian Sexton <[email-masked]>
Cc: Team Lead <[email-masked]>
Date: Thu, 21 Nov 2019 04:34:04 -0700 (MST)

Hi Brian, 

I had a session with Anibal for the explanation. He said that he received some calls in which it took a lot of time, I have checked some of his TID's from yesterday for the inbound calls. As the agents are available all the time, they do receive inbound in between the case which affects the AHT of the current case. However, an AHT of 104 is still not justified. 

Agents on the floor have strictly been advised to resolve the case as soon as possible considering quality in mind. 

Thank you for sending this report. 

Kind Regards, 
Parvez 

From: "Brian Sexton" <[email-masked]> 
To: "Team Lead" <[email-masked]> 
Sent: Thursday, 21 November, 2019 15:10:09 
Subject: Average Handling Time - 20-11-2019 

Hi all, 

The Average Handling Time (AHT) for yesterday was 14.17 minutes. This is the average time it takes an agent to handle a case, from the moment they get the case to the moment they exit the case. Yes, we can see that now. 

Now we can see people who are staying on a case for a long time doing nothing, relaxing. 

On the rightmost column in the first row that is 108 minutes. 

Can you please reply to this email with an explanation from each agent on why it took them so long to handle these cases? If the agent cannot justify this then it is clear they are avoiding work. The list from yesterday is much longer than this but for the first day I’ll just send this many. 

Kind regards, 

Brian Sexton 

Team Leader India